[Mongrel] Broken installation of mongrel 0.3.13.4 on Sun OS 5.9

DGeorgie at wiley.com DGeorgie at wiley.com
Fri Oct 13 15:58:25 EDT 2006


Hi,

Anyone succeeded in installing Mongrel on Sun Solaris? It looks like the 
installation is broken. I have started using Mongrel recently and not sure 
where to look when something is missing.

First the file http11.so was not installed in 
/usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.4/lib

I've resolved that and when tried to start mongrel from the command line I 
received the following exception:

** Loading settings from config/mongrel_opts.conf (they override command 
line).
** Starting Mongrel listening at 0.0.0.0:8085
** Starting Rails with production environment...
/usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.4/lib/mongrel.rb:722:in 
`register': undefined method `resolve' for nil:Mongrel::URIClassifier 
(NoMethodError)
        from 
/usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.4/lib/mongrel/configurator.rb:152:in 
`uri'
        from 
/usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.4/bin/mongrel_rails:112:in 
`cloaker_'
        from 
/usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.4/lib/mongrel/configurator.rb:134:in 
`listener'
        from 
/usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.4/bin/mongrel_rails:98:in 
`cloaker_'
        from 
/usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.4/lib/mongrel/configurator.rb:51:in 
`initialize'
        from 
/usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.4/bin/mongrel_rails:85:in 
`run'
        from 
/usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.4/lib/mongrel/command.rb:211:in 
`run'
        from 
/usr/local/lib/ruby/gems/1.8/gems/mongrel-0.3.13.4/bin/mongrel_rails:231
        from /usr/local/bin/mongrel_rails:18


thanks,

Dimitar 



More information about the Mongrel-users mailing list